Subject: Re: i40e: Fix preempt count leak in napi poll tracepoint

From: Thomas Gleixner <[email-masked]>
Date: Mon, 09 Feb 2026 23:56:29 +0100

On Mon, Feb 09 2026 at 14:07, Joe Damato wrote:

> On Sat, Feb 07, 2026 at 11:50:23AM +0100, Thomas Gleixner wrote:
>> Using get_cpu() in the tracepoint assignment causes an obvious preempt
>> count leak because nothing invokes put_cpu() to undo it:
>> 
>>   softirq: huh, entered softirq 3 NET_RX with preempt_count 00000100, exited with 00000101?
>> 
>> This clearly has seen a lot of testing in the last 3+ years...
>
> I'm the author who introduced the bug. FWIW, I did use it quite a bit when I
> had i40e devices.

Right, but always with PREEMPT_NONE and no debug option which would
enforce PREEMPT_COUNT ...